Bug 626462 - Review Request: libmstun - A C++ library providing STUN client utilities
Summary: Review Request: libmstun - A C++ library providing STUN client utilities
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 626446 626458
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-23 15:43 UTC by Peter Lemenkov
Modified: 2010-11-04 23:42 UTC (History)
4 users (show)

Fixed In Version: libmstun-0.8.0-0.1.20091007svn3734.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-13 16:28:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kalevlember: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Lemenkov 2010-08-23 15:43:05 UTC
Spec URL: http://peter.fedorapeople.org/libmstun.spec
SRPM URL: http://peter.fedorapeople.org/libmstun-0.8.0-0.1.20091007svn3734.fc12.src.rpm
Description: libmstun provides support for implementing STUN in client applications.
It is used by the minisip project.

No koji build for now since it depends on a libraries not yet added to Fedora.

It's another one requirement for minisip.

Comment 1 Kalev Lember 2010-10-11 12:10:08 UTC
Taking for review and removing the Whiteboard: NotReady as all deps are now in rawhide.

Comment 2 Kalev Lember 2010-10-11 12:11:28 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2527514

Comment 3 Kalev Lember 2010-10-11 12:28:25 UTC
Fedora review libmstun-0.8.0-0.1.20091007svn3734.fc12.src.rpm 2010-10-11

+ OK
! needs attention

rpmlint output:
$ rpmlint libmstun \
          libmstun-devel \
          libmstun-0.8.0-0.1.20091007svn3734.fc15.src.rpm \
          libmstun-debuginfo-0.8.0-0.1.20091007svn3734.fc15.i686.rpm
libmstun.i686: W: spelling-error %description -l en_US minisip -> mini sip, mini-sip, minister
libmstun.i686: W: unused-direct-shlib-dependency /usr/lib/libmstun.so.0.0.0 /lib/libm.so.6
libmstun.i686: W: shared-lib-calls-exit /usr/lib/libmstun.so.0.0.0 exit@GLIBC_2.0
libmstun-devel.i686: W: spelling-error Summary(en_US) libmnstun -> libertinism, libidinous, libertine
libmstun-devel.i686: W: no-documentation
libmstun.src: W: spelling-error %description -l en_US minisip -> mini sip, mini-sip, minister
libmstun.src: W: invalid-url Source0: libmstun-0.8.0.tar.bz2
4 packages and 0 specfiles checked; 0 errors, 7 warnings.

+ Rpmlint warnings are mostly harmless and can be ignored.
  shared-lib-calls-exit is something to talk about with upstream as it might
  result in application crashes if a library unexpectedly calls exit().
+ The package is named according to the Package Naming Guidelines.
+ Spec file name matches the base package name
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains license file (COPYING.LIB)
+ Spec file is written in American English
+ Spec file is legible
+ Following instructions in the spec file to check out sources
  from upstream svn repo produce matching tarball.
  8bcc8a0dddc84d3a7e87484c3dda5974  libmstun-0.8.0.tar.bz2

+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a The spec file MUST handle locales properly
+ ldconfig is properly called in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all directories it creates
+ No duplicate files in %files
+ Permissions are properly set and %files has %defattr
+ Consistent use of macros
+ The package must contain code, or permissable content.
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc don't affect the package
+ Header files are in -devel
n/a Static libraries should be in -static
+ Library files that end in .so are in -devel package
+ -devel requires the fully versioned base
+ Package doesn't contain any libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Directory ownership sane
+ Filenames are valid UTF-8

Looks good.

APPROVED

Comment 4 Peter Lemenkov 2010-10-11 12:40:41 UTC
New Package SCM Request
=======================
Package Name: libmstun
Short Description: A C++ library providing STUN client utilities
Owners: peter
Branches: f12 f13 f14 el6
InitialCC:

Comment 5 Kevin Fenzi 2010-10-11 18:26:02 UTC
Git done (by process-git-requests).

Comment 6 Kalev Lember 2010-10-13 16:28:49 UTC
libmstun is imported and built for rawhide. Closing the ticket to make it easier to check bugzilla dependencies between review requests.

Comment 7 Fedora Update System 2010-10-21 06:17:03 UTC
libmstun-0.8.0-0.1.20091007svn3734.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libmstun-0.8.0-0.1.20091007svn3734.fc13

Comment 8 Fedora Update System 2010-10-21 06:17:11 UTC
libmstun-0.8.0-0.1.20091007svn3734.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/libmstun-0.8.0-0.1.20091007svn3734.fc12

Comment 9 Fedora Update System 2010-10-21 06:17:18 UTC
libmstun-0.8.0-0.1.20091007svn3734.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libmstun-0.8.0-0.1.20091007svn3734.fc14

Comment 10 Fedora Update System 2010-10-30 23:36:28 UTC
libmstun-0.8.0-0.1.20091007svn3734.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-10-30 23:37:07 UTC
libmstun-0.8.0-0.1.20091007svn3734.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-11-04 23:42:41 UTC
libmstun-0.8.0-0.1.20091007svn3734.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.